Bug 65710 - FILEOPEN DOCX import color property for underlines not imported from DOCX
Summary: FILEOPEN DOCX import color property for underlines not imported from DOCX
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: All All
: medium normal
Assignee: Adam CloudOn
QA Contact: Jorendc
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-13 13:32 UTC by Adam CloudOn
Modified: 2013-06-24 09:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing text with underline color (11.10 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-13 13:53 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-06-13 13:32:25 UTC
+++ This bug was initially created as a clone of Bug #56679 +++

Underline text color get lost loading from docx.

Analizing docx (word/document.xml) here a sample part of xml:

<w:r>
	<w:rPr>
		<w:u w:val="double" w:color="00B0F0"/>
	</w:rPr>
	<w:t>sample</w:t>
</w:r>

Attribute "w:color" are not considered on reading and are missing on writing.

Apparently this is implemented in RTF importer.
Comment 1 Adam CloudOn 2013-06-13 13:53:06 UTC
Created attachment 80775 [details]
DOCX containing text with underline color

Attached a DOCX that contains a single line of text with an underlined color.
When opening in LO the underline color is lost (black).
Comment 2 Jorendc 2013-06-20 23:18:26 UTC
I can confirm this behavior using Mac OSX 10.8.3 with Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155; and Word for Mac 2011. 

Kind regards,
Joren
Comment 3 Adam CloudOn 2013-06-24 09:42:53 UTC
I have committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6edcfde748604863dba40e982effab38d0cb0589

fdo#56679, fdo#65710 : fix for import and export of underline color



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.